#include "locmin.h"
#include <iostream>
#include <climits>
#include <algorithm>
using namespace std;

#define MAXM 500

long long v[MAXM+2];

pair<int,int> find_locmin_point(int N,int M){
  if(M==1){
    return {1,1};
  }
  if(M==2){
    if(value(1,1)<value(1,2)){
      return {1,1};
    }
    return {1,2};
  }
  if(M==3){
    if(value(1,1)<value(1,2)){
      return {1,1};
    }
    if(value(1,2)<value(1,3)){
      return {1,2};
    }
    return {1,3};
  }

  for(int i=1;i<=2;i++){
    v[i]=value(1,i);
  }
  v[M]=value(1,M);
  v[M-1]=value(1,M-1);

  v[0]=LLONG_MAX;
  v[M+1]=LLONG_MAX;

  if(v[1]<v[2]){
    return {1,1};
  }
  if(v[2]<v[3]){
    return {1,2};
  }
  if(v[M]<v[M-1]){
    return {1,M};
  }
}
